WordPress.org

Support

Support » How-To and Troubleshooting » Plugins do not work with 2.0.4

Plugins do not work with 2.0.4

  • I posted earlier about not being able to see Akismet in the backend, but i did not realize that every plugin does not work in the backend. I had X-dashboard, that is gone. I then deleted it and uploaded a fresh install today and activated it. I still have the default dashbord in place.

    All my other plugins no longer work. Do globals have to be on in WP in order for these to work?

    Even my ajax spell check does not work on the front ent in 2.0.4.

    Any idea as to what may be stopping them?

    TIA

Viewing 3 replies - 1 through 3 (of 3 total)
  • It is this line of code that is causing the problems with my plugins. Found in functions.php in includes

    $string = call_user_func_array($function_name, $the_args);

    Remove the above line of code and it will remove this error but then I have the plugin issues.

    Warning: call_user_func_array(): First argumented is expected to be a valid callback, ‘sanitize_comment_cookies’ was given in /home/yoursite/public_html/blog/wp-includes/functions.php on line 1303

    I suggest you try the latest widgets version if you haven’t already: http://automattic.com/code/widgets/

    Here is the fix that I did in case anyone encounters the same proplem. I left the string in on line 1303 of functions.php but I opend up the default-filters.php file and removed the string on line 121 about sanitzing my cookies and everything works.

    PS I always eat clean cookies so I was not worried about having them sanitized. Maybe someone can enlighten me on the sensitization of cookies.

Viewing 3 replies - 1 through 3 (of 3 total)
  • The topic ‘Plugins do not work with 2.0.4’ is closed to new replies.
Skip to toolbar